Name:           python-entrypoints
Version:        0.4
Release:        1
Summary:        Discover and load entry points from installed packages
License:        MIT
URL:            https://entrypoints.readthedocs.io/
Source0:        https://github.com/takluyver/entrypoints/archive/%{version}/entrypoints-%{version}.tar.gz

BuildRequires:  python3-pip python3-flit python3-sphinx python3-devel
BuildArch:      noarch

%description
Entry points are a way for Python packages to advertise objects with some common interface. The most common
examples are console_scripts entry points, which define shell commands by identifying a Python function to run.

Groups of entry points, such as console_scripts, point to objects with similar interfaces. An application might
use a group to find its plugins, or multiple groups if it has different kinds of plugins.

%package -n python3-entrypoints
Summary:       Discover and load entry points from installed packages
%{?python_provide:%python_provide python3-entrypoints}

%description -n python3-entrypoints
Entry points are a way for Python packages to advertise objects with some common interface. The most common
examples are console_scripts entry points, which define shell commands by identifying a Python function to run.

Groups of entry points, such as console_scripts, point to objects with similar interfaces. An application might
use a group to find its plugins, or multiple groups if it has different kinds of plugins.

%prep
%autosetup -n entrypoints-%{version} -p1

%build
XDG_CACHE_HOME=%{_builddir}/entrypoints-%{version}/.cache FLIT_NO_NETWORK=1 flit build --format wheel
cd doc
make html PYTHON="%{__python3}" SPHINXBUILD=sphinx-build-%{python3_version}
find %{_builddir}/entrypoints-%{version} -type f -name .buildinfo -delete

%install
%py3_install_wheel entrypoints-%{version}-py3-none-any.whl

%files -n python3-entrypoints
%doc LICENSE doc/_build/html
%{python3_sitelib}/*

%changelog
* Thu Oct 20 2022 Ge Wang <wangge@h-partners.com> - 0.4-1
- Update to 0.4

* Wed Aug 12 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 0.2.3-12
- Add compilation dependency

* Thu Aug 06 2020 lingsheng <lingsheng@huawei.com> - 0.2.3-11
- Remove python2-entrypoints subpackage

* Thu Nov 21 2019 lingsheng <lingsheng@huawei.com> - 0.2.3-10
- Package init
